#include <avr/io.h>

#define TAKTFREQUENZ 9216000

#include "RS232.h"
#include "RS232Zahl.h"

int main(void)
{
    RS232Zahl rs232(115200);

    uint8_t akku=0;
    uint32_t pause;

    DDRA = 0b00000000;
    DDRB = 0b00000000;
    DDRD = 0b00000000;

    DDRC = 0b11111111; //ber RS232 gesendete Zahlen sollen auch an 
                       //zweiten Mikrocontroller geschickt
                       //und angezeigt werden.

    rs232.start(true,false);

    while(true)
	{
        rs232.sendeZahl(akku);        
        //Zahl auerdem wie gewohnt nach Port C schicken:
        PORTC = akku;

        for(pause=0;pause<10000000;pause++);

        //Weiterzhlen:
        akku++;
	}
	return 0;
}
